
Robotics Service Bus - Bug #472
LocalServer should wait for in-progress Calls when detaching
08/04/2011 08:11 PM - J. Moringen

Status: Resolved Start date: 08/04/2011
Priority: Normal Due date:
Category: Common Lisp Estimated time: 0.00 hour
Target version: 0.4
Description

May be an issue in other implementations as well

Associated revisions
Revision ba916d0f - 08/05/2011 12:24 AM - J. Moringen
Changed detach order of listener,informer in src/patterns/server.lisp
(hopefully) fixes #472
    -  src/patterns/server.lisp (detach method1): changed detach order of

  listener and informer; this way, in the `local-method' subclass, the
  method will not accept new calls and wait for in-progress call to
  finish before shutting down the informer

Revision b511caa7 - 08/05/2011 02:44 AM - J. Moringen
Added mixin class in src/transport/sometimes-interruptible-mixin.lisp
fixes #472
    -  src/transport/sometimes-interruptible-mixin.lisp: new file;

  contains mixin `class sometimes-interruptible-mixin' which can be
  mixed into threaded connector class which are only sometimes
  interruptible

    -  src/transport/package.lisp (package rsb.transport): added exported
  symbol sometimes-interruptible-mixin and connector-interruptible?

    -  src/transport/spread/in-push-connector.lisp (in-push-connector):
  added superclass sometimes-interruptible-mixin

    -  cl-rsb.asd (system cl-rsb): added file
  src/transport/sometimes-interruptible-mixin.lisp

History
#1 - 08/05/2011 12:30 AM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r2258.

#2 - 08/05/2011 12:50 AM - J. Moringen
- Status changed from Resolved to In Progress
- % Done changed from 100 to 20

#3 - 08/05/2011 02:50 AM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 20 to 100

Applied in changeset r2259.
